function CheckAddTime()
{
 var AddTime=$("#AddTime").val();
 var url=$("#url").val();
 if (url==''){
  alert('参数传递出错!');
  closeWindow();
 }
 if (AddTime==''){
   alert('请输入分钟数！');
   $("#AddTime").focus();
   return false;
 }
if(AddTime!='' && AddTime<1 || AddTime>30){	alert('请输入大于1 且小于30的整数！');	return false; }
if(AddTime!=''){location.href = url + '&AddTime=' + AddTime; return true; }
return false;
}
function CheckAddPoint()
{
 var AddPoint=$("#AddPoint").val();
 var url=$("#url").val();
 if (url==''){
  alert('参数传递出错!');
  closeWindow();
 }
 if (AddPoint==''){
   alert('请输入追加发布点！');
   $("#AddPoint").focus();
   return false;
 }
if(AddPoint!='' && AddPoint<0.2 || AddPoint>5){	alert('请输入大于0.1 且小于等于5的数字！');	return false; }
if(AddPoint!=''){location.href = url + '&AddPoint=' + AddPoint; return true; }
return false;
}
//任务加时
function TaskAddTime(url) {
	new KesionPopup("#fff",4,true,"font-size:12px;background:url(/style/images/w_b_2.gif) #1B76B7 0 -4px;color:#20537A;height:22px;").mousepopup("&nbsp; 支付加时","<br>&nbsp; 请输入您想给接手方延迟支付的时间，单位为分钟（默认为10分钟）<br />&nbsp; 加时时间：<input name='AddTime' id='AddTime' style='width:100px;' value='10' title='请输入大于1 且小于30的整数！'> 分钟<div style='text-align:center;margin:20px 10px'><input type='button' onclick='return(CheckAddTime())' value=' 确定提交 ' class='button'><input type='hidden' value="+url+" name='url' id='url'> <input type='button' value=' 取 消 ' onclick='closeWindow()' class='button'></div>",400);
}

//任务追加发布点
function TaskAddPoint(url) {
	new KesionPopup("#fff",4,true,"font-size:12px;background:url(/style/images/w_b_2.gif) #1B76B7 0 -4px;color:#20537A;height:22px;").mousepopup("&nbsp; 任务追加发布点","<br>&nbsp; 在现有发布点基础上再增加些发布点给接手人，增加越多任务越排前！<br />&nbsp; 追加发布点：<input name='AddPoint' id='AddPoint' style='width:50px;' value='0.5' title='请输入大于0.1 且小于等于2的数字！'> 点 &nbsp; （默认追加0.5发布点）<div style='text-align:center;margin:20px 10px'><input type='button' onclick='return(CheckAddPoint())' value=' 确定提交 ' class='button'><input type='hidden' value="+url+" name='url' id='url'> <input type='button' value=' 取 消 ' onclick='closeWindow()' class='button'></div>",400);
}

//任务绑定买号倒计时
var _iidd = 1;
function CheckTime(t) {
    if (t <0 ) t = 0;
    var id = "iidd_" + (_iidd++);
    var str = "<span class='red' id='" + id + "'>" + parseInt(t/60) + "分" + t%60 + "秒</span>";
    document.write(str);
    var uptime = function() {
        t = t - 1;
        if (t <= 0) {
            window.clearInterval(tt_0);
            t = 0;
//			location.reload();
        }
        document.getElementById(id).innerHTML = parseInt(t/60) + "分" + t%60 + "秒";
    }
    var tt_0 = window.setInterval(uptime, 1000);
}

//任务收货倒计时
var _hhiidd = 1;
function CheckTimeHour(t) {
    if (t <0 ) t = 0;
    var id = "hhiidd_" + (_hhiidd++);
    var str;
	if (parseInt(t/60/60/24) > 1)
		str = "<span class='red' id='" + id + "'>" + parseInt(t/60/60/24) + "天后</span>";
	else
		str = "<span class='red' id='" + id + "'>" + parseInt(t/60/60) + "小时</span>";
    document.write(str);
    var uptime = function() {
        t = t - 1;
        if (t <= 0) {
            window.clearInterval(tt_0);
            t = 0;
        }
		if (parseInt(t/60/60/24) > 1)
        	document.getElementById(id).innerHTML = parseInt(t/60/60/24) + "天后";
		else
			document.getElementById(id).innerHTML = parseInt(t/60/60) + "小时";
    }
    var tt_0 = window.setInterval(uptime, 1000);
}


function IsGetTask() {
    return confirm("您确定要接手此任务吗？");
}

function IsDelTask(p) {
    return confirm("删除该任务将返还您扣押在平台任务的担保金和" + p + "%任务发布点\n\n您确定取消发布该任务吗？");
}

function IsPauseTask() {
    return confirm("您确定要暂停该任务吗？\n\n暂停后将不会显示在任务大厅！");
}

//function IsReTask() {
//    return confirm("重新发布该任务将更新该任务发布时间从而使您的任务排名更加靠前，\n\n但是每重新发布一次需要额外再扣除该任务所需发布点的50%，\n\n您确定要重新发布吗？");
//}

function IsRejectTask(i) {
    if (i < 3)
        return confirm("您确定要取消该任务的接手人吗？\n\n将任务返回到“已发布，等待接手人”状态吗？");
    else
        return confirm("您已取消" + i + "个该任务的接手人了，再取消接手人需要额外支付0.2个发布点；\n\n您确定要取消吗？");
}

function IsQuitTask() {
    return confirm("您确定要退出该任务吗？");
}

function IsPayTask(plat, times) {
		if (times == 9)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为7天后好评任务，请在发布人发货后7天后再确认收货和好评");
		else if (times == 8)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为6天后好评任务，请在发布人发货后6天后再确认收货和好评");
		else if (times == 7)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为5天后好评任务，请在发布人发货后5天后再确认收货和好评");
		else if (times == 6)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为4天后好评任务，请在发布人发货后4天后再确认收货和好评");
		else if (times == 5)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为3天后好评任务，请在发布人发货后3天后再确认收货和好评");
		else if (times == 4)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为2天后好评任务，请在发布人发货后2天后再确认收货和好评");
		else if (times == 3)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为1天后好评任务，请在发布人发货后1天后再确认收货和好评");
		else if (times == 2)
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！\n\n【注意】该任务为30分钟后好评任务，请在发布人发货后30分钟后再确认收货和好评");
		else
			return confirm("请确保在" + plat + "上已经拍下发布方指定的宝贝并且支付后，才可以回到平台点击“已经支付”按钮，\n否则一经投诉将做封号处理！");
}

function IsUnpayTask(plat) {
    return confirm("如果你刚才误点击【已经支付】按钮，或者确认" + plat + "还没支付成功，或者不打算完成此任务，可以点击此按钮。\n\n确认返回后，任务将返回到“已绑定买号，等待您购买并支付”状态！");
}

function IsUrlVerify() {
    return confirm("您确定允许接手方查看该任务的商品地址吗？");
}

function IsSendTask(n) {
    return confirm("您确认已经完成发货了吗？\n\n发货后请留意接手方是否已好评并及时给对方审核，如果接手方已经好评你却没审核或申诉行为，\n\n系统将会在好评后" + n + "小时自动审核并放款。");
}

function CheckModHPTime()
{
 var ModTime=$("#ModTime").val();
 var url=$("#url").val();
 if (url==''){
  alert('参数传递出错!');
  closeWindow();
 }
 if (ModTime==''){
   alert('请输入分钟数！');
   $("#ModTime").focus();
   return false;
 }
if(ModTime!='' && ModTime<0 || ModTime>72){	alert('请输入0到72的整数！');	return false; }
if(ModTime!=''){location.href = url + '&ModTime=' + ModTime; return true; }
return false;
}
//提前收货
function IsModHPTime(url) {
	new KesionPopup("#fff",4,true,"font-size:12px;background:url(/style/images/w_b_2.gif) #1B76B7 0 -4px;color:#20537A;height:22px;").mousepopup("&nbsp; 提前收货","<span class='color' style='display:inline-block;margin:10px 5px'><b>您确定要提前允许接手方收货吗？为了您网店安全，平台建议实物商品尽量超过24小时收货。提前收货，平台不退还任务发布点。</b></span><span class='color'><br>&nbsp; 请输入你想给接手方提前收货时间，单位为小时，想立即收货请输入 0<br />&nbsp; &nbsp; &nbsp; 提前时间：<input name='ModTime' id='ModTime' style='width:100px;' value='1'> 小时</span><div style='text-align:center;margin:15px 10px'><input type='button' onclick='return(CheckModHPTime())' value=' 确定提交 ' class='button'><input type='hidden' value="+url+" name='url' id='url'> <input type='button' value=' 取 消 ' onclick='closeWindow()' class='button'></div>",420);
}

function IsConfirmTask(plat) {
    return confirm("确认审核后，您的该任务担保金与发布点将转入到接手方账户。\n\n请您确认" + plat + "已经收到接手方的任务同等金额，且已经收到对方好评！\n\n如果接手方没按你要求完成好评，你可以申诉他。\n");
}

function IsGradeTask(h, plat) {
    if (h <= 0)
        return confirm("您确认在" + plat + "上已经按照任务要求进行好评了吗？请真实提交，否则一经投诉将严惩！\n\n确认已经收货并好评后等待发布方审核，您就可以获得该任务全部发布点和任务担保金。\n\n如果发布方不能及时审核，您确认后12小时系统默认自动审核，所以不用担心对方不审核。");
    else
        return confirm("抱歉！该任务还没到规定收货与好评时间。请耐心等待！");
}


function openPrdUrl(url, obj) {
var isIe=(document.all)?true:false;
    if (isIe) {
        try {
            window.open(url);
        } catch (e) {
            try {
                alert('对不起，可能你使用了遨游浏览器，弹出的网址无法打开，请再一次点击');
                obj.onclick = function() { window.open(url); }
            } catch (ex) { }
        }
    } else if (prompt('请你使用 Ctrl+C 复制到剪贴板', url)) {
        alert("您已经成功复制了网址，请粘贴到浏览器的地址栏，然后打开");
    }
    return false;
}

///////////   以下暂时没用 2010-11-12 ////////////////////
///////////////////////////////////////////////

function IsReceiveAheadTask() {
    return confirm("该任务为百分百真实任务，联盟要求发货满十二小时后才能确认收货\n\n您现在确认收货，在任务结束后只能得到一半任务发布点");
}

function IsReceiveTask(plat, isStr, isIP) {
    if (isIP == 1) {
        alert("为了发布人的安全，请您更换IP后再进行确认收货");
        return false;
    }
    if (isStr && confirm("该任务为带字好评，请务必【复制好评内容】给对方带字的评价")) {
        return confirm("请再次检查" + plat + "上已经确认收货了，并且已经提交了好评\n\n如果提交不属实将视为放弃申诉权\n\n");
    } else {
        return confirm("请再次检查" + plat + "上已经确认收货了，并且已经提交了好评\n\n如果提交不属实将视为放弃申诉权\n\n");
    }
}

function changeNewTip() {
    if (getObj("new_tip").style.display=='none')
        show('new_tip');
    else
        hide("new_tip");
    return false;
}

function changeIPTip(plat) {
    alert("为了您和发布人的安全，请您先更换IP然后清空Cookies；\n\n再使用查询的买号登录" + plat + "去确认收货和提交好评");
}

